On Thursday, 16. Jul 2015, 16:41:40 +0900, Nobuyoshi Nakada wrote:
> On 2015/07/16 5:35, Bertram Scharpf wrote:
> > > The output is:
> > >
> > >   <C>
> > >   insecure.rb:12:in `inspect': calling insecure method: inspect (SecurityError)
> > >           from insecure.rb:12:in `<main>'
> > >
> > > Why is the first #inspect allowed but the second is not?
> > > Should I still use $SAFE at all?
> 
> It is fixed in the trunk.

Thank you.

As far as I can see, it is here (from Git):

  commit 18bbd05709a4d52704ac217f30c0d9f35830b7f0                                                                                     
  Date:   2015-06-03 01:39:16 +0000             

    git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50743 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

-- 
Bertram Scharpf
Stuttgart, Deutschland/Germany
http://www.bertram-scharpf.de